## ide-git-remote-callbacks ide-git-remote-callbacks |

## Functions

#define | IDE_GIT_REMOTE_CALLBACKS_CONST()
GgitRemoteCallbacks * | ide_git_remote_callbacks_new ()
gdouble | ide_git_remote_callbacks_get_fraction ()
IdeProgress * | ide_git_remote_callbacks_get_progress ()

## Properties

gdouble | fraction | Read

## Object Hierarchy

        GObject
        ╰── GgitRemoteCallbacks
            ╰── IdeGitRemoteCallbacks

## Description

## Functions

### IDE_GIT_REMOTE_CALLBACKS_CONST()

    #define IDE_GIT_REMOTE_CALLBACKS_CONST(obj)      (G_TYPE_CHECK_INSTANCE_CAST ((obj), IDE_TYPE_GIT_REMOTE_CALLBACKS, IdeGitRemoteCallbacks const))

### ide_git_remote_callbacks_new ()

    GgitRemoteCallbacks *
    ide_git_remote_callbacks_new (void);

### ide_git_remote_callbacks_get_fraction ()

    gdouble
    ide_git_remote_callbacks_get_fraction (IdeGitRemoteCallbacks *self);

Gets the fraction of the current operation. This should typically be bound using `g_object_bind_property()` to GtkProgressBar:fraction or similar progress widget.

#### Returns

The operation completion percentage, as a fraction between 0 and 1.

### ide_git_remote_callbacks_get_progress ()

    IdeProgress *
    ide_git_remote_callbacks_get_progress (IdeGitRemoteCallbacks *self);

Gets the IdeProgress for the operation.

#### Returns

An IdeProgress.

[transfer none]

## Types and Values

## Property Details

### The `“fraction”` property

      “fraction”                 gdouble

A fraction containing the operation progress.

Flags: Read

Allowed values: [0,1]

Default value: 0